Skip to main content

Allow All Traffic

POST/api/v1/security_group/{vm_id}/allow-all-traffic-node/

Path parameters

  • vm_idPathstringrequired

    Path parameter vm_id.

Query parameters

  • project_idQuerystringoptional

    Identifier of the project to scope the request to. Optional; if omitted, the account's default project is used.

    • optional
    • if omitted, the request is applied to the default project
    example{{project_id}}
  • apikeyQuerystringoptional

    API key used for authentication

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringoptional

    Specifies the location for the request

    • must be a non-empty string
    • should be a valid location identifier
    example{{location}}

Responses

200Successful response
object
codeinteger

HTTP status code of the response

example200
  • must be an integer
  • value should be a valid HTTP status code (100-599)
datastring

String payload of the response, typically empty for allow-all traffic

example
  • must be a string
  • may be empty
errorsobject
messagestring

Human-readable status message for the operation.

exampleSecurity Group attached successfully.
  • Must be a non-empty string
  • Maximum length of 255 characters